Subject: Re: [BLISS] Use-Cases for ACH

From: "Dale Worley" <[email-masked]>
Date: Tue, 03 Mar 2009 11:48:19 -0500

On Sat, 2009-02-28 at 01:01 -0500, Sanjay Sinha (sanjsinh) wrote:
> >Call-waiting is always implemented locally on the phone in 
> >SIP, so I don't see the need for a SIP ACH function for it.
> 
> I think it is an ACH feature in the sense that the proxy can decide
> whether to extend the call to called party or send 486 otherwise.

That assumes that the proxy is call-stateful, that is, it knows whether
there is a call on the phone or not.  In some SIP systems, proxies do
not track that information.

> >But it looks like "barring outgoing" functions are all 
> >implemented in the UA, and so aren't an ACH function per se.  
> >("Barring incoming" needs to be done at the proxy, so that's 
> >an ACH function.)
> 
> How about the case where a system administrator sets barring outgoing
> calls based on Class of Service for a given user.

That's still a function that needs to be configured into the UA (since
the UA can address an INVITE that circumvents any particular proxy).

Dale